Subject: Feature request: read git config from parent directory

From: Dominique Dumont <[email-masked]>
Date: Thu, 08 Dec 2016 20:49:58 +0100

Hello

I use the same machine for work and open-source contribution. In both cases, I 
deal with a lot of repositories. Depending on whether I commit for work or 
open-source activities, I must use a different mail address. I used to setup 
work address for each work repo in git local config, but this is no longer 
practical.

Since I use different directories for work and open-source, would it be 
possible for git to read irs config also from parent directories ? I.e. setup 
git to read config from ./.git/config then ../.gitconfig, ../../gitconfig until 
global ~/.gitconfig.

All the best

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org